<template>
  <v-layout wrap>
    <v-flex xs12>

      <v-tabs
        background-color="green lighten-1" dark
      >
      <v-layout wrap>
        <v-flex xs1 v-for="(department,index) in departments" :key="index" style="margin:auto">
        <v-tab @change="changeMenu(department.id)">
          {{department.department_name}}
        </v-tab>
      </v-flex>
      </v-layout>
      </v-tabs>
    </v-flex>
  </v-layout>
</template>
<script>
export default {
  data () {
    return {
      numDepartment: '',
      departments: [],
      departments_id: '',
      departmentIndex: '2'
    }
  },
  computed: {
    getDepartmentId () {
      return this.$store.state.moduleA.menu_course_bar
    }
  },

  created () {
    // this.departmentIndex = this.getDepartmentId
    // console.log('departmentIndex', this.departmentIndex)
    this.getData()
    const item = localStorage.getItem('departmentIndex')
    console.log(item)
  },
  methods: {
    async changeMenu (val) {
      console.log('val', val)
      this.$store.dispatch('get_number_menu', val)
    },
    async getData () {
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/depart')
        console.log('=============>>', response.data.data)
        this.departments = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
